/*
 * @Author: wangyang 1147192855@qq.com
 * @Date: 2022-09-27 14:34:36
 * @LastEditors: wangyang 1147192855@qq.com
 * @LastEditTime: 2022-09-27 16:14:17
 * @FilePath: \marking_app\lib\provider\review_provider.dart
 * @Description: 当前评阅任务
 */
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:marking_app/common/model/marking/current_review_task.dart';

/* 当前评阅任务ID */
final currentTaskIdProvider = StateNotifierProvider<TaskIdProviderHandle, CurrentReviewTask>((ref) => TaskIdProviderHandle(CurrentReviewTask()));

class TaskIdProviderHandle extends StateNotifier<CurrentReviewTask> {
  TaskIdProviderHandle(CurrentReviewTask task) : super(task);

  setDoTaskEntity(CurrentReviewTask model){
    state = model;
  }

  void clean(){
    state = CurrentReviewTask();
  }
}
